Skip to main content
PUT
Update playlist feed settings
Updates the podcast feed settings for a playlist. Each podcast feed is linked to a playlist — use the playlist ID when calling this endpoint.

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

playlist_id
string
required

The numeric ID of your playlist

Body

application/json
title
string

The title of the podcast feed

enabled
boolean

Whether or not the podcast feed URL is available

description
string | null

The description of the podcast feed

homepage_url
string | null

The homepage URL of the podcast feed

image_url
string | null

The image URL of the podcast feed

apple_categories
object

Category data for Apple Podcasts and Spotify

google_categories
string[]

An array of Google Podcast categories of the podcast

language
string | null

The podcast feed language

owner_name
string | null

The name of the administrator for the podcast

owner_email
string | null

The email of the administrator for the podcast

author_names
string[]

The names of writers/speakers who contribute to the podcast

explicit_enabled
boolean

Whether or not the podcast contains explicit content

keywords
string[]

An array of keywords to associate with the podcast

feed_limit
integer

The maximum number of podcasts that will appear in the feed

The copyright tag of the podcast feed

Response

200 - application/json

successful

title
string

The title of the podcast feed

enabled
boolean

Whether or not the podcast feed URL is available

description
string | null

The description of the podcast feed

homepage_url
string | null

The homepage URL of the podcast feed

image_url
string | null

The image URL of the podcast feed

apple_categories
object

Category data for Apple Podcasts and Spotify

google_categories
string[]

An array of Google Podcast categories of the podcast

language
string | null

The podcast feed language

owner_name
string | null

The name of the administrator for the podcast

owner_email
string | null

The email of the administrator for the podcast

author_names
string[]

The names of writers/speakers who contribute to the podcast

explicit_enabled
boolean

Whether or not the podcast contains explicit content

keywords
string[]

An array of keywords to associate with the podcast

feed_limit
integer

The maximum number of podcasts that will appear in the feed

The copyright tag of the podcast feed